# Pepshell

 * [Tool Description](#tool-description)
 * [Downloads](#downloads)
 * [Usage](#usage)
 * [Project Description](#project-description)
 * [Project Support](#project-support)

----

## Tool Description

PepShell is a peptide centric tool that allows the visualization, analysis, and interpretation of (quantitative) conformational proteomics data. PepShell provides the user with the ability to compare the results from different experiments, and thus allows changes in protein conformation to be detected between different experimental conditions. PepShell can read data from each of the most common forms of conformational proteomics approaches, including limited proteolysis, hydrogen-deuterium exchange (HDX), and MS footprinting.  

### Citation
 * [Vandermarliere et al: J Proteome Res. 2015 Apr 3;14(4):1987-90.](http://pubs.acs.org/doi/abs/10.1021/pr5012125)
 * If you use Pepshell as part of a paper, please include the reference above. 

[Go to top of page](#pepshell)

----

## Downloads

| Download | Version |
| :--: |:--:|
| [![download](http://genesis.ugent.be/uvpublicdata/pepshell/downloadpepshellbutton.png)](http://genesis.ugent.be/uvpublicdata/pepshell/pepshell-0.9.zip) | *0.9 - All platforms* |

### Example Datasets
Test files can be found [here](http://genesis.ugent.be/uvpublicdata/pepshell/testfiles).

[Go to top of page](#pepshell)

----

## Usage
See the [wiki](https://github.com/compomics/pepshell/wiki) for additional information on how to use Pepshell.

[Go to top of page](#pepshell)

----

## Project Description

Proteins are dynamic molecules; they undergo crucial conformational changes induced by post-translational modifications and by binding of cofactors or other molecules. The characterization of these conformational changes and their relation to protein function is a central goal of structural biology. Unfortunately, most conventional methods to obtain structural information do not provide information on protein dynamics. Therefore, mass spectrometry-based approaches such as limited proteolysis, hydrogen-deuterium exchange and stable-isotope labeling are nowadays frequently used to characterize protein conformation and dynamics. Here, we present PepShell, a tool that allows interactive data analysis of mass spectrometry-based conformational proteomics studies by visualization of the identified peptides both at the sequence and at the structure level. Moreover, PepShell allows the comparison of experiments under different conditions including different proteolysis times or binding of the protein to different substrates or inhibitors. 

[Go to top of page](#pepshell)

----

## Project Support

The Pepshell project is grateful for the support by:

| Compomics | VIB | Ghent University|
|:--:|:--:|:--:|
| [![compomics](http://genesis.ugent.be/uvpublicdata/image/compomics.png)](http://www.compomics.com) | [![vib](http://genesis.ugent.be/uvpublicdata/image/vib.png)](http://www.vib.be) | [![ugent](http://genesis.ugent.be/uvpublicdata/image/ugent.png)](http://www.ugent.be/en) |

[Go to top of page](#pepshell)

----

| IntelliJ | Netbeans | Java | Maven |
|:--:|:--:|:--:|:--:|
| [![intellij](http://genesis.ugent.be/uvpublicdata/image/icon_IntelliJIDEA.png)](https://www.jetbrains.com/idea/) | [![netbeans](https://netbeans.org/images_www/visual-guidelines/NB-logo-single.jpg)](https://netbeans.org/) | [![java](http://genesis.ugent.be/uvpublicdata/image/java.png)](http://java.com/en/) | [![maven](http://genesis.ugent.be/uvpublicdata/image/maven.png)](http://maven.apache.org/) |

[Go to top of page](#pepshell)
